# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v5.036.
use strict;
use warnings;



use ExtUtils::MakeMaker;

my %WriteMakefileArgs = (
  "ABSTRACT" => "Create a pan genome",
  "AUTHOR" => "Andrew J. Page <ap13\@sanger.ac.uk>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0
  },
  "DISTNAME" => "Bio-Roary",
  "EXE_FILES" => [
    "bin/create_pan_genome",
    "bin/create_pan_genome_plots.R",
    "bin/extract_proteome_from_gff",
    "bin/iterative_cdhit",
    "bin/pan_genome_assembly_statistics",
    "bin/pan_genome_core_alignment",
    "bin/pan_genome_post_analysis",
    "bin/pan_genome_reorder_spreadsheet",
    "bin/parallel_all_against_all_blastp",
    "bin/protein_muscle_alignment_from_nucleotides",
    "bin/query_pan_genome",
    "bin/roary",
    "bin/transfer_annotation_to_groups"
  ],
  "LICENSE" => "gpl",
  "NAME" => "Bio::Roary",
  "PREREQ_PM" => {
    "Array::Utils" => 0,
    "Bio::Perl" => 0,
    "Bio::SeqIO" => 0,
    "Bio::Tools::GFF" => 0,
    "Bio::TreeIO" => 0,
    "Cwd" => 0,
    "Exception::Class" => 0,
    "File::Basename" => 0,
    "File::Copy" => 0,
    "File::Find::Rule" => 0,
    "File::Grep" => 0,
    "File::Path" => 0,
    "File::Slurp::Tiny" => 0,
    "File::Spec" => 0,
    "File::Temp" => 0,
    "File::Which" => 0,
    "FindBin" => 0,
    "Getopt::Long" => 0,
    "Graph" => 0,
    "Graph::Writer::Dot" => 0,
    "List::Util" => 0,
    "Log::Log4perl" => 0,
    "Moose" => 0,
    "Moose::Role" => 0,
    "POSIX" => 0,
    "Text::CSV" => 0
  },
  "TEST_REQUIRES" => {
    "Data::Dumper" => 0,
    "Env::Path" => 0,
    "Test::Files" => 0,
    "Test::Most" => 0,
    "Test::Output" => 0,
    "strict" => 0,
    "warnings" => 0
  },
  "VERSION" => "3.2.6",
  "test" => {
    "TESTS" => "t/*.t t/Bio/Roary/*.t t/Bio/Roary/CommandLine/*.t t/Bio/Roary/External/*.t t/Bio/Roary/Output/*.t t/Bio/Roary/QC/*.t"
  }
);


my %FallbackPrereqs = (
  "Array::Utils" => 0,
  "Bio::Perl" => 0,
  "Bio::SeqIO" => 0,
  "Bio::Tools::GFF" => 0,
  "Bio::TreeIO" => 0,
  "Cwd" => 0,
  "Data::Dumper" => 0,
  "Env::Path" => 0,
  "Exception::Class" => 0,
  "ExtUtils::MakeMaker" => 0,
  "File::Basename" => 0,
  "File::Copy" => 0,
  "File::Find::Rule" => 0,
  "File::Grep" => 0,
  "File::Path" => 0,
  "File::Slurp::Tiny" => 0,
  "File::Spec" => 0,
  "File::Temp" => 0,
  "File::Which" => 0,
  "FindBin" => 0,
  "Getopt::Long" => 0,
  "Graph" => 0,
  "Graph::Writer::Dot" => 0,
  "List::Util" => 0,
  "Log::Log4perl" => 0,
  "Moose" => 0,
  "Moose::Role" => 0,
  "POSIX" => 0,
  "Test::Files" => 0,
  "Test::Most" => 0,
  "Test::Output" => 0,
  "Text::CSV" => 0,
  "strict" => 0,
  "warnings" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);
